aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/dot_local/bin/executable_record
diff options
context:
space:
mode:
authorLibravatar sommerfeld <sommerfeld@sommerfeld.dev>2026-06-05 11:06:02 +0100
committerLibravatar sommerfeld <sommerfeld@sommerfeld.dev>2026-06-05 11:06:02 +0100
commitb0e83e2ee3fc328e55119ee7c1f09ad7ed20a635 (patch)
tree0208caee2063e471b4b23b0b45038b2bce00e2fa /dot_local/bin/executable_record
parent4d8cf1bc30a076e2976787051d28d8072f8f5321 (diff)
downloaddotfiles-b0e83e2ee3fc328e55119ee7c1f09ad7ed20a635.tar.gz
dotfiles-b0e83e2ee3fc328e55119ee7c1f09ad7ed20a635.tar.bz2
dotfiles-b0e83e2ee3fc328e55119ee7c1f09ad7ed20a635.zip
Move more host tooling to Nix
Diffstat (limited to 'dot_local/bin/executable_record')
-rwxr-xr-xdot_local/bin/executable_record4
1 files changed, 2 insertions, 2 deletions
diff --git a/dot_local/bin/executable_record b/dot_local/bin/executable_record
index ff57758..ac88771 100755
--- a/dot_local/bin/executable_record
+++ b/dot_local/bin/executable_record
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env dash
pid_file="/tmp/recordpid"
log_file="/tmp/record.log"
@@ -9,7 +9,7 @@ pid_exists() {
is_running() {
if pid_exists; then
- ps "$(cat "$pid_file")" >/dev/null 2>&1 || return 1
+ kill -0 "$(cat "$pid_file")" >/dev/null 2>&1 || return 1
else
return 1
fi